Vamp::PluginBase::ParameterDescriptor Struct Reference

`#include <PluginBase.h>`

## Public Member Functions

| ParameterDescriptor ()

## Public Attributes

std::string | identifier
| The name of the parameter, in computer-usable form. More...
std::string | name
| The human-readable name of the parameter. More...
std::string | description
| A human-readable short text describing the parameter. More...
std::string | unit
| The unit of the parameter, in human-readable form. More...
float | minValue
| The minimum value of the parameter. More...
float | maxValue
| The maximum value of the parameter. More...
float | defaultValue
| The default value of the parameter. More...
bool | isQuantized
| True if the parameter values are quantized to a particular resolution. More...
float | quantizeStep
| Quantization resolution of the parameter values (e.g. More...
std::vector< std::string > | valueNames
| Names for the quantized values. More...

## Detailed Description

Definition at line 126 of file vamp-sdk/PluginBase.h.

## Constructor & Destructor Documentation

## ParameterDescriptor()

Vamp::PluginBase::ParameterDescriptor::ParameterDescriptor | ( |  | ) |

inline

Definition at line 195 of file vamp-sdk/PluginBase.h.

## Member Data Documentation

## identifier

std::string Vamp::PluginBase::ParameterDescriptor::identifier

The name of the parameter, in computer-usable form.

Should be reasonably short, and may only contain the characters [a-zA-Z0-9_-].

Definition at line 133 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## name

std::string Vamp::PluginBase::ParameterDescriptor::name

The human-readable name of the parameter.

Definition at line 138 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## description

std::string Vamp::PluginBase::ParameterDescriptor::description

A human-readable short text describing the parameter.

May be empty if the name has said it all already.

Definition at line 144 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## unit

std::string Vamp::PluginBase::ParameterDescriptor::unit

The unit of the parameter, in human-readable form.

Definition at line 149 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## minValue

float Vamp::PluginBase::ParameterDescriptor::minValue

The minimum value of the parameter.

Definition at line 154 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## maxValue

float Vamp::PluginBase::ParameterDescriptor::maxValue

The maximum value of the parameter.

Definition at line 159 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## defaultValue

float Vamp::PluginBase::ParameterDescriptor::defaultValue

The default value of the parameter.

The plugin should ensure that parameters have this value on initialisation (i.e. the host is not required to explicitly set parameters if it wants to use their default values).

Definition at line 167 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## isQuantized

bool Vamp::PluginBase::ParameterDescriptor::isQuantized

True if the parameter values are quantized to a particular resolution.

Definition at line 173 of file vamp-sdk/PluginBase.h.

Referenced by FixedTempoEstimator::D::getParameterDescriptors(), PercussionOnsetDetector::getParameterDescriptors(), and AmplitudeFollower::getParameterDescriptors().

## quantizeStep

float Vamp::PluginBase::ParameterDescriptor::quantizeStep

Quantization resolution of the parameter values (e.g.

1.0 if they are all integers). Undefined if isQuantized is false.

Definition at line 180 of file vamp-sdk/PluginBase.h.

## valueNames

std::vector<std::string> Vamp::PluginBase::ParameterDescriptor::valueNames

Names for the quantized values.

If isQuantized is true, this may either be empty or contain one string for each of the quantize steps from minValue up to maxValue inclusive. Undefined if isQuantized is false.

If these names are provided, they should be shown to the user in preference to the values themselves. The user may never see the actual numeric values unless they are also encoded in the names.

Definition at line 193 of file vamp-sdk/PluginBase.h.

The documentation for this struct was generated from the following file:

- vamp-sdk/PluginBase.h